package com.ruoyi.szxc.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 任务管理对象 szxc_task_manage
 * 
 * @author hs
 * @date 2024-04-28
 */
public class SzxcTaskManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 上报人 */
    @Excel(name = "上报人")
    private String subName;

    /** 上报日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上报日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date subDate;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 任务分类(字典) */
    @Excel(name = "任务分类(字典)")
    private String taskType;

    /** 任务主题(字典) */
    @Excel(name = "任务主题(字典)")
    private String title;

    /** 任务描述 */
    @Excel(name = "任务描述")
    private String content;

    /** 截止日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "截止日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expiredDate;

    /** 任务状态(字典) */
    @Excel(name = "任务状态(字典)")
    private String status;

    /** 当前分派到部门 */
    @Excel(name = "当前分派到部门")
    private String sendedDept;

    /** 当前分派到部门id */
    @Excel(name = "当前分派到部门id")
    private Long sendedDeptid;

    /** 分派到用户 */
    @Excel(name = "分派到用户")
    private String handleName;

    /** 分派到用户id */
    @Excel(name = "分派到用户id")
    private Long userId;

    /** 处理结果 */
    @Excel(name = "处理结果")
    private String handleResult;

    /** 处理原由 */
    @Excel(name = "处理原由")
    private String handleReason;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 网格名称 */
    @Excel(name = "网格名称")
    private String deptName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSubName(String subName) 
    {
        this.subName = subName;
    }

    public String getSubName() 
    {
        return subName;
    }
    public void setSubDate(Date subDate) 
    {
        this.subDate = subDate;
    }

    public Date getSubDate() 
    {
        return subDate;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setTaskType(String taskType) 
    {
        this.taskType = taskType;
    }

    public String getTaskType() 
    {
        return taskType;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setExpiredDate(Date expiredDate) 
    {
        this.expiredDate = expiredDate;
    }

    public Date getExpiredDate() 
    {
        return expiredDate;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setSendedDept(String sendedDept) 
    {
        this.sendedDept = sendedDept;
    }

    public String getSendedDept() 
    {
        return sendedDept;
    }
    public void setSendedDeptid(Long sendedDeptid) 
    {
        this.sendedDeptid = sendedDeptid;
    }

    public Long getSendedDeptid() 
    {
        return sendedDeptid;
    }
    public void setHandleName(String handleName) 
    {
        this.handleName = handleName;
    }

    public String getHandleName() 
    {
        return handleName;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setHandleResult(String handleResult) 
    {
        this.handleResult = handleResult;
    }

    public String getHandleResult() 
    {
        return handleResult;
    }
    public void setHandleReason(String handleReason) 
    {
        this.handleReason = handleReason;
    }

    public String getHandleReason() 
    {
        return handleReason;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("subName", getSubName())
            .append("subDate", getSubDate())
            .append("phone", getPhone())
            .append("taskType", getTaskType())
            .append("title", getTitle())
            .append("content", getContent())
            .append("expiredDate", getExpiredDate())
            .append("status", getStatus())
            .append("sendedDept", getSendedDept())
            .append("sendedDeptid", getSendedDeptid())
            .append("handleName", getHandleName())
            .append("userId", getUserId())
            .append("handleResult", getHandleResult())
            .append("handleReason", getHandleReason())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .toString();
    }
}
